Skip to main content
POST
Simulate payment completion

Authorizations

Authorization
string
header
required

A secret NorthFond business API key. Keep it on your server.

Headers

Idempotency-Key
string
required

A unique key for this logical write operation. Reuse it when retrying the exact same request.

Required string length: 8 - 255

Path Parameters

id
string<uuid>
required

NorthFond resource identifier.

Body

application/json
payment_method
enum<string>
required
Available options:
mobile_money,
stablecoin

Response

Payment intent completed in sandbox

id
string<uuid>
required
external_reference
string
required
amount
object
required
accepted_payment_methods
enum<string>[]
required
Available options:
mobile_money,
stablecoin
settlement
object
required
payment_instructions
null | object
required
status
enum<string>
required
Available options:
awaiting_payment,
funds_detected,
processing,
completed,
expired,
cancelled,
failed,
review_required,
approved
customer
object
required
metadata
object
required
expires_at
string<date-time>
required
cancelled_at
string<date-time> | null
required
completed_at
string<date-time> | null
required
created_at
string<date-time>
required
updated_at
string<date-time>
required